Bug 1718077 - [RFE] Implement a new templates editor
Summary: [RFE] Implement a new templates editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Usability
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-06 20:23 UTC by Bryan Kearney
Modified: 2020-04-14 13:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The template editor UI has been updated with usability improvements.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25335 Normal Closed Create a React/Redux Editor 2020-05-29 15:40:11 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:42 UTC

Internal Links: 1781794

Description Bryan Kearney 2019-06-06 20:23:05 UTC
Create a React/Redux Editor to get rid of a big Technical debt while introducing a new UX to the Editor Navbar and the Diff View.

Comment 3 Bryan Kearney 2019-06-06 22:01:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25335 has been resolved.

Comment 4 Radovan Drazny 2020-02-06 09:12:43 UTC
The editor has been added into Satellite 6.7. It works as expected, and there are no blockers for its use. There is BZ1781794 which makes its usage less comfortable than is should be, but it is still usable.

Comment 7 errata-xmlrpc 2020-04-14 13:24:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.